Bug 55096 - The USB keyboard does not work when installing RH7.2
The USB keyboard does not work when installing RH7.2
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 11:07 EDT by wy_kang
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wy_kang 2001-10-25 11:07:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Installing RH7.2 on HP PC (Athlon 850MHz?) with USB-keyboard

Additional info:
Comment 1 Brent Fox 2001-10-25 15:31:13 EDT
USB keyboards worked fine in all of our testing.  Is it possible that the USB
ports are disabled in the BIOS?
Comment 2 wy_kang 2001-10-26 09:14:33 EDT
No problem for installing RH7.1, the Bios setup should not have problem.
The PC is: Hewlett Packard Pavilion AMD Athlon 900MHz/60GHD/CDRW/DVD.
Comment 3 Brent Fox 2001-10-26 09:58:43 EDT
Weird.  Bill, is kudzu doing something differently for USB devices in 7.2 than
it did in 7.1?
Comment 4 Bill Nottingham 2001-10-27 02:09:03 EDT
No.
Comment 5 Bill Nottingham 2001-10-27 02:15:29 EDT
At least, I certainly don't recall it doing anything differently.
Comment 6 Brent Fox 2001-10-28 12:53:51 EST
Do you have a PS/2 keyboard that you could at least do the install with?  I'm
curious to know if the USB keyboard would work once the install is done.
Comment 7 Tom Wood 2001-10-31 15:12:12 EST
I had a similar problem installing 7.2 on a Compaq Deskpro EN with a USB keyboard and mouse.  They functioned properly both during and after the install, except that the machine would enter sleep mode during package selection (about 10 minutes into the install).  I had to attach a PS/2 keyboard (attached it "hot" right after it went to sleep, keeping the USB keyboard attached) to wake the machine and to keep it from re-entering sleep mode.  Remarkably, power management was disabled in the BIOS and it still went to sleep.
Comment 8 Brent Fox 2001-10-31 19:26:08 EST
woodt, can you turn off power management in the bios?
Comment 9 Brent Fox 2001-11-13 11:33:48 EST
I don't know what to do about this problem...we don't see this behavior on our
machines, so I can't get a reproducible test case.

wy_kang, do you have a PS/2 keyboard that you could at least do the install
with?  I'm curious to know if the USB keyboard would work once the install is done.

Comment 10 wy_kang 2001-11-23 11:51:46 EST
I installed RH7.2 using ps/2 keyboard, then changed back USB
keyboard, it still does not work. It does not work even in
boot loader GRUB(?) screen.
Comment 11 Bill Nottingham 2001-11-28 01:19:12 EST
Hm, sounds like a kernel issue, then.
Comment 12 Pete Zaitcev 2001-11-28 14:01:59 EST
GRUB operates before kernel, it takes keystrokes from BIOS.
Comment 13 Pete Zaitcev 2002-05-28 16:22:11 EDT
OK, here's the deal

1. GRUB takes keystrokes from BIOS in a very normal way, so BIOS
has to be fixed for GRUB to work. It also must be the same with
it and LILO and SYSLINUX. If it's not the same, file a per-component bug.

2. It may be possible to fix kernels to work by themselves.
Requestor, please indicate what you are willing to work on it.
Comment 14 Pete Zaitcev 2002-10-08 15:28:20 EDT
Requestor: did you try 8.0?
Comment 15 Alan Cox 2003-06-07 15:03:39 EDT
No reply, closing

Note You need to log in before you can comment on or make changes to this bug.